Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class MappedTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--com.bea.wlpi.client.common.MappedTableModel

Direct Known Subclasses:
  SortableTableModel

public abstract class MappedTableModel
extends javax.swing.table.AbstractTableModel
implements javax.swing.event.TableModelListener

Abstract class to support mapping of table models. In a chain of data manipulators, some behavior is common. `MappedTable` provides most of this behavior and can be subclassed by filters that only need to override a handful of specific methods. `MappedTable` implements `TableModel` by routing all requests to its model and TableModelListener by routing all events to its listeners. Inserting a `MappedTable`, which has not been subclassed, into a chain of table filters should have no effect.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected javax.swing.table.TableModel` | `model`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`MappedTableModel()`

Method Summary
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`javax.swing.table.TableModel` | `getModel()`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `setModel(javax.swing.table.TableModel model)` Set the inner table model (i.e., the one actually providing the data).
`void` | `setValueAt(java.lang.Object value, int row, int col)`
`void` | `tableChanged(javax.swing.event.TableModelEvent e)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected javax.swing.table.TableModel model

Constructor Detail

### MappedTableModel

    public MappedTableModel()

Method Detail

### getModel

    public javax.swing.table.TableModel getModel()

  Returns:
    The inner table model (i.e., the one actually providing the data).

### setModel

    public void setModel(javax.swing.table.TableModel model)

  Set the inner table model (i.e., the one actually providing the data).

  Parameters:
    `model` - the new model.

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Overrides:
    getValueAt in class javax.swing.table.AbstractTableModel

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int col)

  Overrides:
    setValueAt in class javax.swing.table.AbstractTableModel

### getRowCount

    public int getRowCount()

  Overrides:
    getRowCount in class javax.swing.table.AbstractTableModel

### getColumnCount

    public int getColumnCount()

  Overrides:
    getColumnCount in class javax.swing.table.AbstractTableModel

### getColumnName

    public java.lang.String getColumnName(int col)

  Overrides:
    getColumnName in class javax.swing.table.AbstractTableModel

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Overrides:
    getColumnClass in class javax.swing.table.AbstractTableModel

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Overrides:
    isCellEditable in class javax.swing.table.AbstractTableModel

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

  Specified by:
    tableChanged in interface javax.swing.event.TableModelListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)